TypeScript SDK
import { Client } from "@notionhq/client"
const notion = new Client({ auth: process.env.NOTION_API_KEY })
const response = await notion.sessions.query({
filter: { property: "agent_id", string: { equals: "1f0c7c06-781b-4987-9986-5c8dd3028013" } },
sorts: [{ property: "updated_at", direction: "descending" }],
page_size: 10
})curl --request POST \
--url https://api.notion.com/v1/sessions/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '
{
"query": "<string>",
"filter": {
"property": "id",
"string": {
"equals": "<string>"
}
},
"sorts": [
{}
],
"start_cursor": "<string>",
"page_size": 50
}
'import requests
url = "https://api.notion.com/v1/sessions/query"
payload = {
"query": "<string>",
"filter": {
"property": "id",
"string": { "equals": "<string>" }
},
"sorts": [{}],
"start_cursor": "<string>",
"page_size": 50
}
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"object": "list",
"type": "session",
"session": {},
"results": [
{
"object": "session",
"id": "<string>",
"agent_id": "<string>",
"title": "<string>",
"created_by": {
"id": "<string>"
},
"agent_version": {
"id": "<string>",
"number": 2,
"published_at": "2023-11-07T05:31:56Z"
},
"models": {
"type": "auto"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"required_actions": [
{
"action_id": "<string>",
"title": "<string>",
"options": [
{
"label": "<string>"
}
]
}
],
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"trigger_type": "<string>",
"type_labels": [
"<string>"
],
"chat_user_emails": [
"<string>"
],
"tool_types": [
"<string>"
],
"tool_call_count": 1,
"credits_used": 1,
"runs_completed": 1,
"message_count": 1
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"object": "error",
"message": "<string>",
"status": 400,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "unauthorized",
"status": 401,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 403,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 404,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "row_limit_exceeded",
"status": 406,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 409,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "rate_limited",
"status": 429,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "internal_server_error",
"status": 500,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "service_unavailable",
"status": 503,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "gateway_timeout",
"status": 504,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "service_overload",
"status": 529,
"additional_data": {}
}Agents
Query sessions
Find agent sessions that an integration can access.
POST
/
v1
/
sessions
/
query
TypeScript SDK
import { Client } from "@notionhq/client"
const notion = new Client({ auth: process.env.NOTION_API_KEY })
const response = await notion.sessions.query({
filter: { property: "agent_id", string: { equals: "1f0c7c06-781b-4987-9986-5c8dd3028013" } },
sorts: [{ property: "updated_at", direction: "descending" }],
page_size: 10
})Use
filter, sorts, and query to narrow the list. Follow next_cursor until has_more is false.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The API version to use for this request. The latest version is 2026-03-11.
Available options:
2026-03-11 Body
application/json
A case-insensitive substring search over session titles.
Maximum string length:
2000A session property filter, or an and/or compound filter nested up to two levels deep.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Ordered sort precedence. Defaults to updated_at descending.
Required array length:
1 - 2 elementsShow child attributes
Show child attributes
The continuation cursor returned by the previous page.
The number of sessions to return. Maximum: 100.
Required range:
1 <= x <= 100⌘I